global
  log /dev/log  local0
  log /dev/log  local1 notice

defaults
  option  httplog
  option  dontlognull
    timeout connect 5000
    timeout client 50000
    timeout server 50000

frontend  k8s-nginx
  mode tcp
  bind *:80
  bind *:443
  option tcplog
  redirect scheme https code 301
  #http-request redirect scheme https unless { ssl_fc }
  # use_backend http_nginx_pool    if !{ ssl_fc }
  default_backend k8s-nginx

backend k8s-nginx
  mode tcp
  option tcp-check
  balance roundrobin
  default-server inter 10s downinter 5s rise 2 fall 2 slowstart 60s maxconn 250 maxqueue 256 weight 100
  server server-1 192.168.1.2:443 check
  server server-2 192.168.1.204:443 check
  server ssd-1    192.168.1.111:443 check
  server ssd-2    192.168.1.46:443 check
